curl --location --request GET 'https://api.stateset.com/v1/warranty_line_item' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
query getMyWarrantyData($last_received_id: String, $last_received_ts: String, $first_received_date: date, $id: String) {
warranty_line_items(where: {warranty_id: {_eq: $id}}) {
id
sku
name
price
condition
tax_refunded
flat_rate_shipping
warranty_id
serial_number
amount
image_1
image_2
image_3
match
}
}`
const warranties = await stateset.warrantyItem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warrantylineitem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::WarrantyItem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
$warranties = $stateset->warrantyitem->retrieve([
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
]);
WarrantyLineItem , err := stateset.WarrantyItem.Retrieve(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
WarrantyItem[] warrantyitem = stateset.warrantyitem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"data": {
"warranty_line_items": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "123456789",
"name": "Warranty Item",
"price": "100.00",
"condition": "New",
"tax_refunded": false,
"flat_rate_shipping": "10.00",
"warranty_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"serial_number": "123456789",
"amount": "110.00",
"image_1": "https://www.example.com/image1.jpg",
"image_2": "https://www.example.com/image2.jpg",
"image_3": "https://www.example.com/image3.jpg",
"match": "123456789"
}
]
}
}
Get Warranty Line Item
This endpoint gets or creates a new warranty line item.
GET
/
v1
/
warranty_line_item
curl --location --request GET 'https://api.stateset.com/v1/warranty_line_item' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
query getMyWarrantyData($last_received_id: String, $last_received_ts: String, $first_received_date: date, $id: String) {
warranty_line_items(where: {warranty_id: {_eq: $id}}) {
id
sku
name
price
condition
tax_refunded
flat_rate_shipping
warranty_id
serial_number
amount
image_1
image_2
image_3
match
}
}`
const warranties = await stateset.warrantyItem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warrantylineitem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::WarrantyItem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
$warranties = $stateset->warrantyitem->retrieve([
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
]);
WarrantyLineItem , err := stateset.WarrantyItem.Retrieve(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
WarrantyItem[] warrantyitem = stateset.warrantyitem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"data": {
"warranty_line_items": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "123456789",
"name": "Warranty Item",
"price": "100.00",
"condition": "New",
"tax_refunded": false,
"flat_rate_shipping": "10.00",
"warranty_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"serial_number": "123456789",
"amount": "110.00",
"image_1": "https://www.example.com/image1.jpg",
"image_2": "https://www.example.com/image2.jpg",
"image_3": "https://www.example.com/image3.jpg",
"match": "123456789"
}
]
}
}
Body
This is the id of the warranty line item.
Response
This is the id of the warranty line item.
This is the amount of the warranty line item.
This is the condition of the warranty line item.
This is the flat rate shipping of the warranty line item.
This is the name of the warranty line item.
This is the price of the warranty line item.
This is the id of the warranty associated with the line item.
This is the serial number of the warranty line item.
This is the sku of the warranty line item.
curl --location --request GET 'https://api.stateset.com/v1/warranty_line_item' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
query getMyWarrantyData($last_received_id: String, $last_received_ts: String, $first_received_date: date, $id: String) {
warranty_line_items(where: {warranty_id: {_eq: $id}}) {
id
sku
name
price
condition
tax_refunded
flat_rate_shipping
warranty_id
serial_number
amount
image_1
image_2
image_3
match
}
}`
const warranties = await stateset.warrantyItem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warrantylineitem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::WarrantyItem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
$warranties = $stateset->warrantyitem->retrieve([
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
]);
WarrantyLineItem , err := stateset.WarrantyItem.Retrieve(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
WarrantyItem[] warrantyitem = stateset.warrantyitem.retrieve({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"data": {
"warranty_line_items": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "123456789",
"name": "Warranty Item",
"price": "100.00",
"condition": "New",
"tax_refunded": false,
"flat_rate_shipping": "10.00",
"warranty_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"serial_number": "123456789",
"amount": "110.00",
"image_1": "https://www.example.com/image1.jpg",
"image_2": "https://www.example.com/image2.jpg",
"image_3": "https://www.example.com/image3.jpg",
"match": "123456789"
}
]
}
}
⌘I